<?php
/**
 * cs_recaptcha_v2 front-end module version 1.0.0 for Prestashop 1.6, 1.7
 * Support contact : soporte@conexiaweb.es.
 *
 * NOTICE OF LICENSE
 *
 * This source file is the property of Conexiaweb
 * that is bundled with this package.
 * It is also available through the world-wide-web at this URL:
 * https://www.conexiaweb.es/
 *
 * @category  front-end
 * @package   conexiaweb_instagramfeeds
 * @author    Conexiaweb (http://www.conexiaweb.es/)
 * @copyright 2016-2019 Conexiaweb and contributors
 */

class ContactController extends ContactControllerCore
{


    /**
    * Start forms process
    * @see FrontController::postProcess()
    */
    public function postProcess()
    {
        if (Tools::isSubmit('submitMessage')) {

            if(!$this->context->customer->id){
                $data = array(
                    'secret' => Tools::getValue('RECAPTCHA_PRIVATE_KEY', Configuration::get('RECAPTCHA_PRIVATE_KEY')),
                    'response' => $_POST['g-recaptcha-response']
                );
                $verify = curl_init();
                if(isset($verify) && $verify){
                    curl_setopt($verify, CURLOPT_URL, "https://www.google.com/recaptcha/api/siteverify");
                    curl_setopt($verify, CURLOPT_POST, true);
                    curl_setopt($verify, CURLOPT_POSTFIELDS, http_build_query($data));
                    curl_setopt($verify, CURLOPT_SSL_VERIFYPEER, false);
                    curl_setopt($verify, CURLOPT_RETURNTRANSFER, true);
                    $response = @curl_exec($verify);
                    $decode = json_decode($response, true);

                    if (!$decode['success'] == true) {
                        $this->errors[] = Tools::displayError('Por favor, valide el campo captcha antes de enviar su solicitud.');
                    }else{
                        parent::postProcess();
                    }

                }else{
                    $this->errors[] = Tools::displayError('Erreur de traitement');
                }
            }else{
                parent::postProcess();
            }



        }

    }

}
